Bug 524156 - [ml_IN] Size of the below based glyph for 0D2E,0D4D,0D32 must be in proportion to the size of 0D2E
Summary: [ml_IN] Size of the below based glyph for 0D2E,0D4D,0D32 must be in proportio...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lohit-malayalam-fonts
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-18 07:18 UTC by Ani Peter
Modified: 2016-08-01 01:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-23 06:31:11 UTC
Type: ---


Attachments (Terms of Use)
Screenshot for the actual glyph (9.88 KB, image/png)
2009-09-18 07:18 UTC, Ani Peter
no flags Details
Screenshot for the expected/correct glyph (8.94 KB, image/png)
2009-09-18 07:19 UTC, Ani Peter
no flags Details
ttf file for Lohit-Malayalam handling the required combination (69.16 KB, application/x-font-ttf)
2009-09-18 08:57 UTC, sandeep shedmake
no flags Details
patch for following lohit-malayalam bugs (208.06 KB, patch)
2009-09-18 09:38 UTC, sandeep shedmake
no flags Details | Diff

Description Ani Peter 2009-09-18 07:18:41 UTC
Created attachment 361605 [details]
Screenshot for the actual glyph

Description of problem:

The size of the shape of the below based glyph of the following combination needs to be made smaller.
 0D2E + 0D4D + 0D32  =>  മ  +  ്  +  ല  = മ്ല

Version-Release number of selected component (if applicable):
lohit-malayalam-fonts-2.3.8-1

How reproducible:
Always

Steps to Reproduce:
1. Open gedit.
2.Type 0D2E, 0D4D and 0D32

Actual results:
The size of the shape of the below based glyph of the above combination is larger than the consonant 0D2E. Screenshot for the current glyph is attached.

Expected results:
When the above steps are done, the resulting size of the glyph must be in proportion to the consonant 0D2E. Screenshot for the correct glyph is attached.

Comment 1 Ani Peter 2009-09-18 07:19:28 UTC
Created attachment 361606 [details]
Screenshot for the expected/correct glyph

Comment 2 sandeep shedmake 2009-09-18 08:57:10 UTC
Created attachment 361613 [details]
ttf file for Lohit-Malayalam handling the required combination

Please, check for any regressions.

Comment 3 sandeep shedmake 2009-09-18 09:38:22 UTC
Created attachment 361619 [details]
patch for following lohit-malayalam bugs

patch for bug 523163, bug 52167, bug 52166, bug 524149, bug 524156.

Comment 4 sandeep shedmake 2009-09-18 09:41:12 UTC
From  Comment #3,

OOps!!   its patch for bug 523167  and bug 523166.

Comment 5 Ani Peter 2009-09-18 09:43:20 UTC
Have tested the patch and the size of glyph is in proportion with 0D2E.

Thanks Sandeep for the quick fix.

Comment 6 Pravin Satpute 2009-09-21 12:17:43 UTC
build lohit-malayalam-fonts-2_4_4-1_fc12
will be available in wed. rawhide

Comment 7 sandeep shedmake 2009-09-23 06:31:11 UTC
From Comment #6,

0D2E + 0D4D + 0D32  =>  മ  +  ്  +  ല  = മ്ല
Resulting size of the glyph is now in proportion to the consonant 0D2E.

Expected results can now be obtained from build lohit-malayalam-fonts-2_4_4-1_fc12 (available in Rawhide).

Thereby, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.